(*
    Id3Tag - Save files dialog
    Copyright (c) 1998-2002,2003 Alessandro Scotti
    http://www.ascotti.org/

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*)
unit SaveFiles;

interface

uses
  SysUtils, Classes, QForms, QComCtrls, QStdCtrls, QGraphics, QControls,
  QExtCtrls;

type
  TformSaveFiles = class(TForm)
    lblText: TLabel;
    imgAskIcon: TImage;
    btnSave: TButton;
    lstMain: TListView;
    btnDontSave: TButton;
    btnCancel: TButton;
    procedure lstMainKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  formSaveFiles: TformSaveFiles;

implementation

{$R *.dfm}

procedure TformSaveFiles.lstMainKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
const
  VK_A = 65;
var
  I: integer;
begin
  if( Key = VK_A )and( Shift = [ssCtrl] ) then begin
    // Select all
    for I:=0 to lstMain.Items.Count-1 do
      lstMain.Items[I].Selected := true;
  end;
end;

end.
